[arch-commits] Commit in gphoto2/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 28 18:02:32 EDT 2009


    Date: Thursday, May 28, 2009 @ 18:02:32
  Author: jgc
Revision: 40216

upgpkg: gphoto2 2.4.5-1

Modified:
  gphoto2/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-28 21:56:51 UTC (rev 40215)
+++ PKGBUILD	2009-05-28 22:02:32 UTC (rev 40216)
@@ -2,19 +2,19 @@
 # Maintainer: Eduardo Romero <eduardo at archlinux.org>
 # Contributor: Jason Chu <jason at archlinux.org>
 pkgname=gphoto2
-pkgver=2.4.4
+pkgver=2.4.5
 pkgrel=1
 pkgdesc="A digital camera download and access program."
 arch=(i686 x86_64)
 url="http://www.gphoto.org"
 license=('GPL' 'LGPL')
-depends=(glibc 'libgphoto2>=2.4.0' 'libexif>=0.6.9' libjpeg ncurses popt readline aalib 'gpm>=1.20.4')
-source=(http://downloads.sourceforge.net/gphoto/$pkgname-$pkgver.tar.bz2)
-md5sums=('bcc5621e09802e114c7f72a6f6172230')
+depends=('libgphoto2>=2.4.6' 'popt' 'aalib')
+source=(http://downloads.sourceforge.net/gphoto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('cccbe437804c863b87807444ec58a8ac')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list